Package org.opencv.aruco

## Class Board

- java.lang.Object
- - org.opencv.aruco.Board

- Direct Known Subclasses:
    `CharucoBoard`, `GridBoard`

      public class Board
      extends java.lang.Object

  Board of markers A board is a set of markers in the 3D space with a common coordinate system. The common form of a board of marker is a planar (2D) board, however any 3D layout can be used. A Board object is composed by: - The object points of the marker corners, i.e. their coordinates respect to the board system. - The dictionary which indicates the type of markers of the board - The identifier of all the markers in the board.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Board​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Board` | `__fromPtr__​(long addr)` |
    `static Board` | `create​(java.util.List<Mat> objPoints, Dictionary dictionary, Mat ids)` | Provide way to create Board by passing necessary data.
    `protected void` | `finalize()` |
    `Dictionary` | `get_dictionary()` |
    `MatOfInt` | `get_ids()` |
    `java.util.List<MatOfPoint3f>` | `get_objPoints()` |
    `long` | `getNativeObjAddr()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Board

          protected Board​(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Board __fromPtr__​(long addr)

    - #### create

          public static Board create​(java.util.List<Mat> objPoints,
                                     Dictionary dictionary,
                                     Mat ids)

      Provide way to create Board by passing necessary data. Specially needed in Python.
      Parameters:
        `objPoints` - array of object points of all the marker corners in the board
        `dictionary` - the dictionary of markers employed for this board
        `ids` - vector of the identifiers of the markers in the board
      Returns:
        automatically generated

    - #### get_objPoints

          public java.util.List<MatOfPoint3f> get_objPoints()

    - #### get_dictionary

          public Dictionary get_dictionary()

    - #### get_ids

          public MatOfInt get_ids()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`